GRUB-INSTALL(8)

NAVN
grub-install - installer GRUB på en enhed

SYNOPSIS
grub-install [TILVALG...] [TILVALG] [INSTALLATIONSENHED]

BESKRIVELSE
Installer GRUB på dit drev.

--appended-signature-size=STR
    Tilføj et notesegment der reserverer STØRRELSE byte for en tilføjet signatur

--compress=no|xz|gz|lzo
    komprimer GRUB-filer [valgfri]

--disable-cli
    deaktiveret adgang til kommandolinjegrænsefladen

--disable-shim-lock
    deaktiver shim_lock-verifikator

--dtb=FIL
    indlejr en specifik DTB

-d, --directory=MAPPE
    brug billeder og moduler under KAT [standard=/usr/lib/grub/<platform>]

--fonts=SKRIFTTYPER
    installer SKRIFTTYPER [standard=unicode]

--install-modules=MODULER
    installer kun MODULER og deres afhængigheder [standard=alle]

-k, --pubkey=FIL
    indlejr FIL som offentlig nøgle for signaturkontrol

--locale-directory=MAPPE brug oversættelser under MAPPE
    [standard=/usr/share/locale]

--locales=REGIONER
    installer kun REGIONER [standard=alle]

--modules=MODULER
    forudindlæs angivne moduler MODULER

--sbat=FIL
    SBAT-metadata

--themes=TEMAER
    installer TEMAER [standard=starfield]

-v, --verbose
    udskriv uddybende meddelelser.

-x, --x509key=FIL
    indlejr FIL som et x509-certifikat for tilføjet signaturkontrol

--allow-floppy
    gør at drevet kan bootes som diskettedrev (standard for fdX-enheder). Kan ødelægge opstarten med visse BIOS'er.

--boot-directory=MAPPE
    installer GRUB-aftryk under mappen MAPPE/grub frem for mappen boot/grub

--bootloader-id=Id
    id for opstartsindlæseren. Dette tilvalg er kun tilgængeligt på EFI og Mac.

--core-compress=xz|none|auto
    vælg komprimeringen, der skal bruges til kerneaftryk

--disk-module=MODUL
    diskmodul der skal bruges (biosdisk eller platformsspecifik). Dette tilvalg er kun tilgængeligt på BIOS-mål.

--efi-directory=MAPPE
    brug MAPPE som rod på EFI-systempartitionen.

--force
    installer selvom der opdages problemer

--force-extra-removable
    fremtving også installation til den flytbare mediesti. Dette tilvalg er kun tilgængeligt på EFI.

--force-file-id
    brug identifikatorfil selv hvis UUID er tilgængelig

--label-bgcolor=FARVE
    brug FARVE til etiketbaggrund

--label-color=FARVE
    brug FARVE til etiket

--label-font=FIL
    brug FIL som skrifttype for etiket

--macppc-directory=MAPPE brug MAPPE til PPC MAC-installation.

--no-bootsector
    installer ikke bootsektor

--no-nvram
    opdater ikke NVRAM-variablerne »boot-device«/»Boot*«. Dette tilvalg er kun tilgængeligt på EFI- og IEEE1275-mål.

--no-rs-codes
    Anvend ikke nogen reed-solomon-koder ved indlejring af core.img. Dette tilvalg er kun tilgængeligt på x86-BIOS-mål.

--no-uefi-secure-boot
    installer ikke et aftryk der kan bruges med UEFI Secure Boot, selv om nuværnede system blev startet via dette. Dette tilvalg er kun tilgængelig på EFI.

--product-version=STRENG
    brug STRENG som produktversion

--recheck
    slet enhedsafbildning hvis den allerede findes

--removable
    installationsenheden er flytbar. Dette tilvalg er kun tilgængeligt på EFI.

-s, --skip-fs-probe
    søg ikke efter filsystemer i ENHED

--target=MÅL
    installer GRUB til MÅL-platform [standard=i386-pc]; mulige mål: arm-coreboot, arm-efi, arm-uboot, arm64-efi, i386-coreboot, i386-efi, i386-ieee1275, i386-multiboot, i386-pc, i386-qemu, i386-xen, i386-xen_pvh, ia64-efi, loongarch64-efi, mips-arc, mips-qemu_mips, mipsel-arc, mipsel-loongson, mipsel-qemu_mips, powerpc-ieee1275, riscv32-efi, riscv64-efi, sparc64-ieee1275, x86_64-efi, x86_64-xen

--uefi-secure-boot
    installer et aftryk der kan bruges med UEFI Secure Boot. Dette tilvalg er kun tilgængelig på EFI og hvis pakken grub-efi-amd64-signed er installeret.

-?, --help
    vis denne hjælpeliste

--usage
    vis en kort besked om brug af programmet

-V, --version
    udskriv programversion

Obligatoriske eller valgfri argumenter til lange tilvalg er også obligatoriske henholdsvis valgfri til de tilsvarende korte.

INSTALLATIONSENHED skal være filnavnet på en systemenhed. grub-install kopierer GRUB-aftryk ind i boot/grub. På visse platforme installeres GRUB også i opstartssektoren.

FEJLRAPPORTER
Rapporter programfejl på engelsk til <bug-grub@gnu.org>. Oversættelsesfejl rapporteres til <dansk@dansk-gruppen.dk>.

SE OGSÅ
grub-mkconfig(8), grub-mkimage(1), grub-mkrescue(1)

Den fulde dokumentation for grub-install vedligeholdes som Texinfo-manual. Hvis info og grub-install programmerne er korrekt installeret på din side, bør kommandoen

    info grub-install

give dig adgang til den fulde manual.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.